<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include('start.php');
include("config.php");
include("/includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;
$ttl="Личный кабинет";
$ref = rand(1000, 9999);
$banner = file("system/banner.dat");
$ssylka = trim($banner[0]);
$img = trim($banner[1]);
$kabinet = trim($banner[4]);

switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"/wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE



echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"$ttl\"><p align=\"left\">\n";


echo "• <a href=\"/profile.php?ver=wml\">Анкета</a><br/>\n";
echo "• <a href=\"/foto.php?ver=html\">Работа с фотo</a> [xhtml]<br/>\n";
echo "• <a href=\"/video.php?ver=html\">Работа с Видео</a> [xhtml]<br/>\n";
echo "• <a href=\"/avatar.php?ver=wml\">Аватар</a><br/>\n";
echo "• <a href=\"/settings.php?ver=wml\">Настройки чата</a><br/>\n";
$qt = mysql_query("SELECT `privilegii` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
$privilegii = mysql_result($qt, 0);

if($privilegii >1)
{   echo "• <a href=\"/status.php?ver=wml\">Статус [привилегия]</a><br/>\n"; }
if($privilegii >2)
{   echo "• <a href=\"/dobavst/html\">Добавить Стих [привилегия]</a><br/>\n"; }
echo "• <a href=\"/ignor.php?ver=wml\">Игнор. лист</a><br/>\n";
echo "• <a href=\"/letters.php?ver=wml\">Ваши письма</a><br/>\n";
echo "• <a href=\"/faq/wml/govenment\">Администрация</a><br/>\n";
echo "• <a href=\"/stats/wml\">Статистика</a><br/>\n";

echo"<br/>";
echo "• <a href=\"/menu/wml\">В прихожую</a><br/>\n";
include('banners/kabinet');
echo"$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `privilegii` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
include('banners/kabinet');
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';
if($_GET['th'])
{
echo'<div class="d2">Скин выбран.</div>';
}
echo "<img src=\"/res/icons/profile.png\" alt=\".\" />\n";
echo "<a href=\"/profile.php?".SID."&amp;ver=html\">Анкета</a><br/>\n";
echo "<img src=\"/res/icons/foto.png\" alt=\".\" />\n";
echo "<a href=\"/foto.php?".SID."&amp;ver=html\">Работа с фотo</a><br/>\n";
echo "<img src=\"/res/icons/video.gif\" alt=\".\" />\n";
echo "<a href=\"/video.php?".SID."&amp;ver=html\">Работа с видео</a><br/>\n";
echo "<img src=\"/res/icons/avatar.png\" alt=\".\" />\n";
echo "<a href=\"/avatar.php?".SID."&amp;ver=html\">Аватар</a><br/>\n";
echo "<img src=\"/res/icons/settings.png\" alt=\".\" />\n";
echo "<a href=\"/settings.php?".SID."&amp;ver=html\">Настройки чата</a><br/>\n";

$qt = mysql_query("SELECT `privilegii` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
$privilegii = mysql_result($qt, 0);

if($privilegii >1)
{
echo "<img src=\"/res/icons/statusx.png\" alt=\".\" />\n";
echo "<a href=\"/status.php?".SID."&amp;ver=html\">Статус [привилегия]</a><br/>\n";
}

if($privilegii >2)
{
echo "<img src=\"/res/icons/new.gif\" alt=\".\" />\n";
echo "<a href=\"/dobavst/html\">Добавить Стих [привилегия]</a><br/>\n";
}
echo "<img src=\"/res/icons/skins.png\" alt=\".\" />\n";
echo "<a href=\"/themes.php?".SID."&amp;ver=html\">Скины</a><br/>\n";
echo "<img src=\"/res/icons/ignor.png\" alt=\".\" />\n";
echo "<a href=\"/ignor.php?".SID."&amp;ver=html\">Игнор. лист</a><br/>\n";
echo "<img src=\"/res/icons/mail.png\" alt=\".\" />\n";
echo "<a href=\"/letters.php?".SID."&amp;ver=html\">Ваши письма</a><br/>\n";

echo "-&gt;&gt;<a href=\"/faq/html/govenment\">Администрация</a><br/>\n";
echo "-&gt;&gt;<a href=\"/stats/html\">Статистика</a><br/>\n";


echo '<div class="d1">';
echo "• <a href=\"/menu/html\">В прихожую</a><br/>";
include('banners/kabinet');
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";

break;
}
?>